# This file is a template, and might need editing before it works on your project.
# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:latest

# Pick zero or more services to be used on all builds.
# Only needed when using a docker container to run your tests in.
# Check out: http://docs.gitlab.com/ee/ci/docker/using_docker_images.html#what-is-a-service
services:
  - node:12.20.2-alpine

# This folder is cached between builds
# http://docs.gitlab.com/ee/ci/yaml/README.html#cache
cache:
  paths:
    - backend/node_modules/
    - frontend/node_modules/

test_client:
  script:
    - cd frontend
    - yarn
    - yarn test

test_api:
  script:
    - cd backend
    - npm install
    - yarn test 
